"""
Module for handling Heat stacks.

:depends:   - os_client_config
:configuration: This module is not usable until the following are specified
"""

try:
    import os_client_config
    REQUIREMENTS_MET = True
except ImportError:
    REQUIREMENTS_MET = False


from heatv1 import stack
from heatv1 import services

stack_create = stack.stack_create
stack_delete = stack.stack_delete
stack_list = stack.stack_list
stack_show = stack.stack_show
stack_update = stack.stack_update
service_list = services.service_list
service_wait = services.wait_for_service

__all__ = ('stack_create', 'stack_list', 'stack_delete', 'stack_show',
           'stack_update', 'service_wait', 'service_list')


def __virtual__():
    if REQUIREMENTS_MET:
        return 'heatv1'
    else:
        return False, ("The heat execution module cannot be loaded: "
                       "os_client_config is not available.")
